%define	pfringver	5.6.0
%define pfring 0
Name:		suricata
Version:	1.4.7
Release:	1.18
Url:		http://suricata-ids.org/
Summary:	Open Source IDS / IPS / NSM engine
Group:		Applications/Internet
License:	GPLv2
Source0:	%{name}-%{version}.tar.bz2
Source1:	PF_RING-%{pfringver}.tar.bz2
Source20:	%{name}-rpmlintrc
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf automake libtool gcc-c++ grep sed flex bison
BuildRequires:	pcre-devel
BuildRequires:	libpcap-devel
BuildRequires:	libcap-ng-devel
BuildRequires:	libnet
BuildRequires:	python-devel
BuildRequires:	libGeoIP-devel
BuildRequires:	lua-devel
%if 0%{?suse_version}
BuildRequires:	mozilla-nspr-devel
BuildRequires:	mozilla-nss-devel
%else
BuildRequires:	nspr-devel
BuildRequires:	nss-devel
%endif
BuildRequires:	file-devel
BuildRequires:	libnfnetlink-devel
BuildRequires:	libnetfilter_queue-devel
BuildRequires:	libyaml-devel

%description
Suricata is a high performance Network IDS, IPS and Network Security Monitoring engine.
Open Source and owned by a community run non-profit foundation,
the Open Information Security Foundation (OISF).
Suricata is developed by the OISF and its supporting vendors.

%prep
%setup -n %{name}-%{version} -b 1
%if %{pfring}
cd ..
mv PF_RING-%{pfringver} PF_RING
%endif

%build
%if %{pfring}
# pre build libpfring & libpcap of PF_RING
pre=`pwd`
cd ../PF_RING/userland/lib
./configure
make
cd ../libpcap
./configure
make
cd ${pre}
%endif

%configure \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--enable-nfqueue \
%if %{pfring}
	--enable-pfring \
	--with-libpfring-includes=../PF_RING/userland/lib \
	--with-libpfring-libraries=../PF_RING/userland/lib \
%endif
	--enable-af-packet \
	--enable-geoip

%install
%__make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
for conf in `ls -1A *.config` ; do
 install -m0644 $conf %{buildroot}%{_sysconfdir}/%{name}
done
rm -rf %{buildroot}%{_datadir}/doc
rm -rf doc/Makefile*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/*.config
%{_bindir}/suricata
%{_bindir}/suricatasc
%dir %{_includedir}/htp
%{_includedir}/htp/bstr.h
%{_includedir}/htp/dslib.h
%{_includedir}/htp/hooks.h
%{_includedir}/htp/htp.h
%{_includedir}/htp/htp_decompressors.h
%{_includedir}/htp/utf8_decoder.h
%{_libdir}/libhtp-0.2.so.1*
%{_libdir}/libhtp.a
%{_libdir}/libhtp.la
%{_libdir}/libhtp.so
%{_libdir}/pkgconfig/htp.pc
%dir %{py_sitedir}/suricatasc
%{py_sitedir}/suricatasc-0.9-py%{py_ver}.egg-info
%{py_sitedir}/suricatasc/__init__.py
%{py_sitedir}/suricatasc/__init__.pyc
%{py_sitedir}/suricatasc/suricatasc.py
%{py_sitedir}/suricatasc/suricatasc.pyc

%changelog
* Wed Dec 18 2013 cs@linux-administrator.com
- update to release 1.4.7
* Wed Sep 25 2013 cs@linux-administrator.com
- update to release 1.4.6
* Mon Jul 29 2013 cs@linux-administrator.com
- update to release 1.4.5
* Fri Jul 19 2013 cs@linux-administrator.com
- update to release 1.4.4
